<?php
namespace application\entities\hclinica;

class UsuarioEnt
{
    public $idUsuario;
    public $idPersona=0;
    public $user;
    public $pass;
    public $idEmisor=0;
    public $status=1;

    public function __construct($post=null)
    {
        if($post!=null)
        {
            foreach ($post as $key=>$value)
            {
                $this->__set($key, $value);
            }
        }
    }
    public function __get($name) {
        if(property_exists(__CLASS__, $name)){
            return $this->$name;
        }
    }
    public function __set($name,$value) {
        if(property_exists(__CLASS__, $name)){
            $this->$name=$value;
        }
    }
    public static function tipo(){
        return __CLASS__;
    }
}

